@extends('inpatient::pdf.layout.main')

@section('title', 'Voucher Details')

@section('content')
    <div class="form-group">
        <div class="row">
            <div class="col-sm-6">
                <p>Voucher No. : <b>{{$voucher_no}}</b></p>
            </div>
            <div class="col-sm-6">
                <p>Date: <b>{{$date}}</b></p>
            </div>
        </div>
    </div>
    <div class="form-group">
        <div class="table-responsive res-table">
            <table class="table table-striped table-hover table-bordered table-content">
                <thead class="thead-light">
                    <tr>
                        <th class="text-center">S/N</th>
                        <th class="text-center">Branch</th>
                        <th class="text-center">Acc No.</th>
                        <th class="text-center">Name</th>
                        <th class="text-center">Description</th>
                        <th class="text-center">Dr Amount</th>
                        <th class="text-center">Cr Amount</th>
                    </tr>
                </thead>
                <tbody id="voucher-details">
                    @foreach ($voucherDatas as $key=>$voucherData)
                        <tr>
                            <td>{{++$key}}</td>
                            @if(isset($voucherData->branch))
                                <td>{{$voucherData->branch->name}}</td>
                            @else 
                                <td></td>
                            @endif
                            <td>{{$voucherData->AccountNo}}</td>
                            <td>{{$voucherData->accountLedger->AccountName}}</td>
                            <td>{{$voucherData->Remarks}}</td>
                            @if ($voucherData->TranAmount > 0)
                                <td>{{$voucherData->TranAmount}}</td>
                                <td>0</td>
                            @else
                                <td>0</td>
                                <td>{{$voucherData->TranAmount * (-1)}}</td>
                            @endif
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
    <section>
        <div>
            <div style="width: 30%; margin-left: 2rem; float: left">
                <p>{{$voucherDatas[0]->CreatedBy}}</p>
                <p style="margin-top: 5px">_________________________</p>
                <p>Entered By : </p>
            </div>
            <div style="width: 30%; margin-left: 2rem; float: left">
                <p>{{\Auth::guard('admin_frontend')->user()->username}}</p>
                <p style="margin-top: 5px">_________________________</p>
                <p>Generated By : </p>
            </div>
            <div style="width: 30%; margin-left: 2rem; float: left">
                <p style="margin-top: 40px">_________________________</p>
                <p>Approved By : </p>
            </div>
        </div>
        <div style="clear: both"></div>
    </section>
@endsection
